package com.huigou.topsun.syncOrg.vo.SapPersonVo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import java.util.List;


@Data
public class MdClientSapVo {
    /**
     * 业务伙伴分组
     */
    @JsonProperty("BU_GROUP")
    private String buGroup;

    /**
     * 屏幕用途的BP角色
     */
    @JsonProperty("RLTYP")
    private String rltyp;
    /**
     * 客户编号
     */
    @JsonProperty("KUNNR")
    private String kunnr;
    /**
     * 客户名称
     */
    @JsonProperty("NAME_ORG1")
    private String nameOrg1;
    /**
     * 性别
     */
    @JsonProperty("TITLE_MEDI")
    private String title;
    /**
     * 客户英文名称
     */
    @JsonProperty("NAME_ORG3")
    private String nameOrg3;
    /**
     * 客户简称
     */
    @JsonProperty("BU_SORT1")
    private String buSort1;
    /**
     * 注册地址
     */
    @JsonProperty("STRAS")
    private String stras;
    /**
     * 客户送货地址
     */
    @JsonProperty("STR_SUPPL3")
    private String strSuppl3;
    /**
     * 税号类比
     */
    @JsonProperty("TAXTYPE")
    private String taxtype;
    /**
     * 税号
     */
    @JsonProperty("TAXNUMXL")
    private String taxnumxl;
    /**
     * 成本中心
     */
    @JsonProperty("KNOZS")
    private String knozs;
    /**
     * 城市
     */
    @JsonProperty("CITY1")
    private String city1;
    /**
     * 国家
     */
    @JsonProperty("LAND1")
    private String land1;
    /**
     * 地区
     */
    @JsonProperty("REGION")
    private String region;
    /**
     * 语言代码
     */
    @JsonProperty("LANGU")
    private String langu;
    /**
     * 城市邮政编码
     */
    @JsonProperty("POST_CODE1")
    private String postCode1;
    /**
     * 电话号码
     */
    @JsonProperty("TEL_NUMBER")
    private String telNumber;
    /**
     * 移动电话
     */
    @JsonProperty("MOB_NUMBER")
    private String mobNumber;
    /**
     * 电子邮件地址
     */
    @JsonProperty("SMTP_ADDR")
    private String smtpAddr;
    /**
     * 做账难度等级
     */
    @JsonProperty("KUKLA")
    private String kukla;
    /**
     * 要求用客户系统货单
     */
    @JsonProperty("KATR1")
    private String katr1;
    /**
     * 盖章方式
     */
    @JsonProperty("KATR2")
    private String katr2;
    /**
     * 请款联
     */
    @JsonProperty("KATR3")
    private String katr3;
    /**
     * 客户联
     */
    @JsonProperty("KATR4")
    private String katr4;
    /**
     * 订单要求
     */
    @JsonProperty("KATR5")
    private String katr5;
    /**
     * 验收单要求
     */
    @JsonProperty("KATR6")
    private String katr6;
    /**
     * 客户系统验收要求
     */
    @JsonProperty("KATR7")
    private String katr7;
    /**
     * 要求签回货单
     */
    @JsonProperty("KATR8")
    private String katr8;
    /**
     * 货单是否打印送货日期
     */
    @JsonProperty("KATR9")
    private String katr9;
    /**
     * 不开发票
     */
    @JsonProperty("KATR10")
    private String katr10;
    /**
     * 请款要求
     */
    @JsonProperty("ZT01")
    private String zt01;
    /**
     * 客户工作时间
     */
    @JsonProperty("ZT02")
    private String zt02;
    /**
     * 收货方签字要求
     */
    @JsonProperty("ZT03")
    private String zt03;
    /**
     * 货单打印要求
     */
    @JsonProperty("ZT04")
    private String zt04;
    /**
     * 产品检验报告类型
     */
    @JsonProperty("ZF08")
    private String zf08;
    /**
     * 货单签回方式
     */
    @JsonProperty("ZF09")
    private String zf09;
    /**
     * 出货方式
     */
    @JsonProperty("ZF10")
    private String zf10;
    /**
     * 线路
     */
    @JsonProperty("ZF11")
    private String zf11;
    /**
     * 送货单打印默认设置
     */
    @JsonProperty("ZF12")
    private String zf12;
    /**
     * 送货单统计异常期限
     */
    @JsonProperty("ZF13")
    private String zf13;
    /**
     * 生产发货方式
     */
    @JsonProperty("ZF14")
    private String zf14;
    /**
     * 月结方式
     */
    @JsonProperty("ZF15")
    private String zf15;
    /**
     * 请款期限
     */
    @JsonProperty("ZF16")
    private String zf16;
    /**
     * 做账截止日
     */
    @JsonProperty("ZF17")
    private String zf17;
    /**
     * 客户收账截止日
     */
    @JsonProperty("ZF18")
    private String zf18;
    /**
     * 订单统计异常期限
     */
    @JsonProperty("ZF19")
    private String zf19;
    /**
     * 所属集团
     */
    @JsonProperty("ZF21")
    private String zf21;

    /**
     * 更新标识
     */
    @JsonProperty("UPDKZ")
    private String updkz;

    /**
     * 客户品牌联系人列表
     */
    @JsonProperty("KNA1_ZPP")
    private List<BrandContactVo> kna1Zpp;
    /**
     * 公司代码视图
     */
    @JsonProperty("KNB1")
    private List<CompanyCodeVo> knb1;
    /**
     * 销售组织视图
     */
    @JsonProperty("KNVV")
    private List<SaleOrgVo> knvv;
    /**
     * 银行账号列表
     */
    @JsonProperty("BANK")
    private List<BankVo> bank;


}
