package com.huigou.topsun.sap.transfers.domain.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;

@Data
public class SapStockTransfersItemVO {

   //项目编号  EBELP
    @JsonProperty("EBELP")
    private String ebelp;

     //项目类别
    @JsonProperty("EPSTP")
    private String epstp;

    //物料编码
    @Column(name = "MATNR")
    private String  matnr;

    //数量
    @Column(name = "MENGE")
    private Integer menge;

    //基本计量单位
    @Column(name = "MEINS")
    private String meins;

    /**
     * 交货日期
     */
    @Column(name = "EEIND")
    private String eeind;


    //存储地点
    @Column(name = "LOGORT")
    private String lgort;

    //工厂
    @Column(name = "WERKS")
    private String werks;


}
